export declare const fluentEditorProps: {
    _constants: {
        type: ObjectConstructor;
        default: () => {
            PIC_PREVIEW_OPTIONS: {
                zIndex: number;
                urlList: null;
            };
            EDITOR_FULLSCREEN_OPTIONS: number;
        };
    };
    content: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileUpload: ObjectConstructor;
    globalOptions: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    imageUpload: ObjectConstructor;
    mentionObj: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    modelValue: StringConstructor;
    options: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    picPreview: (BooleanConstructor | ObjectConstructor)[];
    dataType: {
        type: BooleanConstructor;
        default: boolean;
    };
    dataUpgrade: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    imagePasteFailCallback: {
        type: FunctionConstructor;
        default: () => void;
    };
    beforeEditorInit: {
        type: FunctionConstructor;
        default: () => void;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: import("@vue/runtime-core").DefineComponent<{
    _constants: {
        type: ObjectConstructor;
        default: () => {
            PIC_PREVIEW_OPTIONS: {
                zIndex: number;
                urlList: null;
            };
            EDITOR_FULLSCREEN_OPTIONS: number;
        };
    };
    content: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileUpload: ObjectConstructor;
    globalOptions: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    imageUpload: ObjectConstructor;
    mentionObj: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    modelValue: StringConstructor;
    options: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    picPreview: (BooleanConstructor | ObjectConstructor)[];
    dataType: {
        type: BooleanConstructor;
        default: boolean;
    };
    dataUpgrade: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    imagePasteFailCallback: {
        type: FunctionConstructor;
        default: () => void;
    };
    beforeEditorInit: {
        type: FunctionConstructor;
        default: () => void;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    _constants: {
        type: ObjectConstructor;
        default: () => {
            PIC_PREVIEW_OPTIONS: {
                zIndex: number;
                urlList: null;
            };
            EDITOR_FULLSCREEN_OPTIONS: number;
        };
    };
    content: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileUpload: ObjectConstructor;
    globalOptions: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    imageUpload: ObjectConstructor;
    mentionObj: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    modelValue: StringConstructor;
    options: {
        type: ObjectConstructor;
        required: boolean;
        default: () => {};
    };
    picPreview: (BooleanConstructor | ObjectConstructor)[];
    dataType: {
        type: BooleanConstructor;
        default: boolean;
    };
    dataUpgrade: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    imagePasteFailCallback: {
        type: FunctionConstructor;
        default: () => void;
    };
    beforeEditorInit: {
        type: FunctionConstructor;
        default: () => void;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>>, {
    disabled: boolean;
    tiny_mode_root: boolean;
    _constants: Record<string, any>;
    zIndex: number;
    options: Record<string, any>;
    dataType: boolean;
    mentionObj: Record<string, any>;
    globalOptions: Record<string, any>;
    dataUpgrade: boolean;
    imagePasteFailCallback: Function;
    beforeEditorInit: Function;
}, {}>;
export default _default;
